msg_receive
msg_send
Semaphore Functions
PHP Manual

# msg_remove_queue

(PHP 4 >= 4.3.0, PHP 5)

msg_remove_queue — Destroy a message queue

### Description

bool msg_remove_queue ( resource `$queue` )

msg_remove_queue() destroys the message queue specified by the `queue` . Only use this function when all processes have finished working with the message queue and you need to release the system resources held by it.

### Parameters

`queue`

  Message queue resource handle

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- msg_get_queue()
- msg_receive()
- msg_stat_queue()
- msg_set_queue()

msg_receive
msg_send
Semaphore Functions
PHP Manual